Announcement

Collapse
No announcement yet.

4.3 to 5.3

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • 4.3 to 5.3

    After uploading 5.3.3 files I went into upgrade script and received 404 error. Suggestion for what is wrong?

  • #2
    Originally posted by Super Cat View Post
    After uploading 5.3.3 files I went into upgrade script and received 404 error. Suggestion for what is wrong?
    There isn't a vBulletin 4.3 but I'm assuming you are on some version of vB4 and are upgrading to vB5.

    Here are the full instructions for an upgrade from vB4 to vB5:

    1. You need to remove all vB3 / vB4 files and folders out of the way first, (except attachments, avatars etc if you're storing these on the server).

    2. Download and unzip the vBulletin 5 files.

    3. You need to rename this file:

    htaccess.txt

    To:

    .htaccess
    (Note the 'dot' at the start)

    4. You need to rename this file:

    /config.php.bkp

    To:

    /config.php

    Then, you need to rename this file:

    /core/includes/config.php.new

    To:

    /core/includes/config.php

    Then, in that file, you need to complete the following fields:

    $config['Database']['dbname'] = 'forum';
    Change forum to whatever your database name is.

    $config['Database']['technicalemail'] = '[email protected]';
    Change the email address to your own.

    $config['MasterServer']['username'] = 'root';
    Change root to the database username

    $config['MasterServer']['password'] = '';
    Enter the database password inside the '' marks.

    All other fields should be left as default, unless your database is on a separate server, in which case this will need changing:

    $config['MasterServer']['servername'] = 'localhost';

    5. Upload all files to your server

    6. Browse to yourforumpath.com/core/install/upgrade.php.

    7. Enter your customer number and the upgrade will proceed.

    8. Delete the /core/install directory after the upgrade has finished.
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.6.2 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      Just to make sure. I'm doing away with all files in the directory. Basically an empty directory except attachments and avatars. I'm not over writing them replacing them. If so will I still be having my forum post history with upgrade.

      Comment


      • #4
        Originally posted by Super Cat View Post
        Just to make sure. I'm doing away with all files in the directory. Basically an empty directory except attachments and avatars. I'm not over writing them replacing them. If so will I still be having my forum post history with upgrade.
        Correct. Post and user information have not and never have been stored in files.
        Translations provided by Google.

        Wayne Luke
        The Rabid Badger - a vBulletin Cloud demonstration site.
        vBulletin 5 API - Full / Mobile
        Vote for your favorite feature requests and the bugs you want to see fixed.

        Comment


        • #5
          Thank You. Will restart.

          Comment


          • #6
            Doing something wrong. First I uploaded all files and got 404 error. Checked and was missing config files. So decided to upload each directory separate. Config files there and correct. Still get 404 error using. http://www.yourdomain.com/pathtoforu...ll/upgrade.php also tried http://yourdomain.com/core/install/install.php
            Going to website get this.
            Warning: array_key_exists(): The first argument should be either a string or an integer in .../vb/session.php on line 732

            Comment


            • #7
              What version of php is running on the server, first of all?
              MARK.B | vBULLETIN SUPPORT

              TalkNewsUK - My vBulletin 5.6.2 Demo
              AdminAmmo - My Cloud Demo

              Comment


              • #8
                I upgraded to 7.0

                Comment


                • #9
                  OK I'm thinking of what might be a problem. I have two licenses, one of which I had my website on in the past with 4.0. Another I had under another domain but switch to be associated with my old website because It was 5.0 license. I think I could have downloaded files from 4.0 license if that is possible and loaded up to directory.

                  Could this be the problem. If so is there a file I can upload to give it right license or do I have to download the whole file and start over? If that could be problem. Not sure which one I downloaded 5.3 from.

                  Comment


                  • #10
                    You need to download the correct version for the correct license.

                    You also need to ensure there are no vB4 files in the folder when you upgrade..
                    MARK.B | vBULLETIN SUPPORT

                    TalkNewsUK - My vBulletin 5.6.2 Demo
                    AdminAmmo - My Cloud Demo

                    Comment


                    • #11
                      All the vB4 files are already removed. Hopefully I'm right about uploading wrong license.

                      Comment

                      Related Topics

                      Collapse

                      Working...
                      X